Subject: Bug#1346: Extra files in /usr/doc

From: Sven Rudolph <[email-masked]>
Date: Tue, 4 Jun 1996 23:35:09 +0200

In article <Pine.SUN.3.91.950910091041.14951D-100000@bb29c> Bill Mitchell <[email-masked]> writes:

> PACKAGE: base system
>
> I haven't seen Bruce's 0.93r6 base system, but note that my current
> system has the files bug-log-access.txt, bug-reporting.txt, and
> mailing-lists.txt installed directly in /usr/doc.

These were installed by the base disks, and at this time they were not
part of the base package. Therefore they were not deleted when a new
base package not containing these files was installed.

>  We had previously
> established a convention that /usr/doc was to contain just
> subdirectories (plus, possibly, a README file explaining what
> /usr/doc is all about).  These files should go in /usr/doc/DEBIAN,
> I'd say.

These files are now in /usr/doc/debian, provided by the doc-debian
package.

> Also, these files don't appear to have been installed by a package
> (at least they don't appear in any of my /var/lib/dpkg/info/*list
> files).

As explained above.

These files will be deleted by the upcoming doc-debian's postinst.
I will upload a new version soon.

	Sven
--
Sven Rudolph <[email-masked]> ; WWW : http://www.sax.de/~sr1/